Child pages
  • Systemvoraussetzungen
Skip to end of metadata
Go to start of metadata

Diese Seite bezieht sich auf CONTENIDO 4.9. Frühere CONTENIDO-Versionen können andere Systemvoraussetzungen haben oder z. B. unter anderen PHP-Versionen nicht oder nur eingeschränkt lauffähig sein. Einen groben Überblick auch für frühere Versionen entnehmen Sie bitte der Systemvoraussetzungsmatrix.

Um den vollen Funktionsumfang von CONTENIDO nutzen zu können, müssen die folgenden Vorraussetzungen erfüllt sein:

PHP-Version

VersionBeschreibung
< 5.2.3Nicht funktionsfähig!
5.2.3 bis 5.3

funktioniert mit 4.9, 4.9.1, 4.9.2 und 4.9.3

Seit Version 4.9.4 ist mindestens PHP 5.3 erforderlich

> 5.3

funktioniert mit allen 4.9.x Versionen

PHP-Einstellungen

EinstellungWertBeschreibung

file_uploads

"1"

Ohne diese Konfiguration ist es nicht möglich Dateien über den CONTENIDO Dateimanager hochzuladen. Weiter Details unter folgendem Link http://www.php.net/manual/en/ini.core.php#ini.file-uploads

magic_quotes_runtimeOff

Die Einstellungen: magic_quotes_runtime und magic_quotes_sybase sollten deaktiviert sein.

magic_quotes_sybase
max_execution_time>=30

Bei langsamen Webservern oder zeitaufwändigen Operationen kann es bei einer zu geringen max_execution_time zu Problemen kommen.

Wir empfehlen die Konfiguration der Ausführungszeit auf 120 Sekunden bei langsamen Webservern, 60 Sekunden bei normalen Webservern und 30 Sekunden bei schnellen Webservern.

memory_limit>=32MB

CONTENIDO benötigt mindestens 32MB Speicher. Empfohlen wird diese Einstellung vollständig zu deaktivieren damit auch bei großen Projekten keine Probleme auftreten.

open_basedir 

Die open_basedir Direktive erfordert keine Restriktionen.

Die Direktive ist auf '.' gesetzt. Das bedeutet, dass CONTENIDO nicht auf Dateien aus einer höheren Ebene zugreifen kann. Dies kann Probleme im CONTENIDO Frontend verursachen. Entweder muss der volle Pfad der CONTENIDO Installation gesetzt oder die Direktive vollständig deaktiviert werden.

sql.safe_modeOff

Das Aktivieren der sql.safe_mode kann Probleme mit SQL-Abfragen verursachen. Daher wird empfohlen, diese zu deaktivieren.

PHP-Erweiterungen

ErweiterungBeschreibung
gd

Einige Module von Drittanbietern basieren auf GD-Funktionalitäten. Ohne die GD-Erweiterungen kann es z. B. zu Problemen in Galerie-Modulen kommen.

pcre

CONTENIDO verwendet PCRE Funktionen wie preg_replace oder preg_match und ist ohne diese nicht funktionsfähig. 

xml

CONTENIDO ist ohne die XML-Erweiterung nicht funktionsfähig.

mbstringSeit Version 4.9.4 ist zusätzlich die mbstring-Erweiterung erforderlich.

PHP-Klassen

KlasseErweiterungBeschreibung
ZipArchivezip

Optional - Diese Klasse wird für das Exportieren von Modulen eingesetzt. CONTENIDO ist auch ohne diese Klasse lauffähig.

DOMDocumentxml

Diese Klasse wird von mehreren Klassen zum Bearbeiten von XML-Dateien benörigt. Ohne diese Klasse ist CONTENIDO nicht funktionsfähig.

PHP-Funktionen

CONTENIDO benötigt einige Funktionen, die möglicherweise deaktiviert sind.

FunktionErweiterungBeschreibung
escapeshellarg 

Diese Funktionen werden benötigt, um zu testen, ob das CLI-Programm convert zur Verfügung steht. Dieses ist ein Teil von ImageMagick.

exec 
iconviconv

Ohne die iconv-Funktion ist CONTENIDO nicht lauffähig. PHP wurde wahrscheinlich mit dem --without-iconv Parameter kompiliert.

imagecreate

gd

Wird zur Skalierung von Grafiken benötigt, wenn ImageMagick nicht verwendet wird.

imagecreatefromgifgd

Die GD Library unterstützt vielfälltige Bildformate. Steht diese nicht zur Verfügung, kann auf ImageMagick zurück gegriffen werden. Sollten GD und ImageMagick nicht installiert sein, kann es zu Problemen mit diversen Modulen kommen.

imagegifgd
imagecreatefromjpeggd
imagejpeggd
imagecreatefrompnggd
imagepnggd
xml_parser_createxml

CONTENIDO ist ohne diese Einstellung nicht funktionsfähig.

Andere Programme

  
ProgrammBeschreibung
MySQL

CONTENIDO verwendet das Datenbanksystem MySQL. Um einen reibungslosen Betrieb zu gewährleisten, darf dieses nicht im "strict"-Modus ausgeführt werden.

ImageMagick

ImageMagick wird nur benötigt, wenn die GD-lib-Erweiterung nicht verfügbar ist.

Dateisystem

CONTENIDO benötigt zum Schreiben für einige Dateien Schreibrechte.

Die folgenden System Ordner benötigen Schreibrechte:

  • ROOT/data/logs/errorlog.txt
  • ROOT/data/logs/setuplog.txt
  • ROOT/data/cronlog/pseudo-cron.log
  • ROOT/data/cronlog/session_cleanup.php.job
  • ROOT/data/cronlog/send_reminder.php.job
  • ROOT/data/cronlog/optimize_database.php.job
  • ROOT/data/cronlog/move_old_stats.php.job
  • ROOT/data/cronlog/move_articles.php.job
  • ROOT/data/cronlog/linkchecker.php.job
  • ROOT/data/cronlog/run_newsletter_job.php.job
  • ROOT/data/cronlog/setfrontenduserstate.php.job
  • ROOT/data/cronlog/advance_workflow.php.job
  • ROOT/data/cache
  • ROOT/data/temp
  • ROOT/data/config/config.php

Die folgenden Mandanten Ordner benötigen Schreibrechte:

  • ROOT/cms/cache
  • ROOT/cms/cache/code
  • ROOT/cms/css
  • ROOT/cms/data
  • ROOT/cms/data/layouts
  • ROOT/cms/data/logs
  • ROOT/cms/data/modules
  • ROOT/cms/data/version
  • ROOT/cms/data/version/css
  • ROOT/cms/data/version/js
  • ROOT/cms/data/version/layout
  • ROOT/cms/data/version/module
  • ROOT/cms/data/version/templates
  • ROOT/cms/js
  • ROOT/cms/templates
  • ROOT/cms/upload
  • No labels